Subject: Re: [bug#61864] [PATCH] scripts: expose 'allow-collisions' for 'guix install'

From: Leo Famulari <[email-masked]>
Date: Sat, 1 Apr 2023 12:54:44 -0400

On Thu, Mar 02, 2023 at 12:38:45PM -0800, Andy Tai wrote:
> I run into collisions in profile from time to time and I can resolve it via
> 
> guix package --allow-collosions -i (or -u)
> 
> so it is useful to make that available in the two "alias" commands as well

I see, that makes sense. Sorry I'm slow to reply, I thought about it for
a while.

Allowing profile collisions is a risky action that can cause subtle and
hard to diagnose bugs, and it often is done without understanding the
consequences. In my experience, collisions are often allowed by people
who don't understand the negative effects of collisions, or how profiles
are constructed.

When reported, the consequent problems can take up a lot of time for the
people trying to help.

Because of those reasons, I prefer to only expose this option in `guix
package`, which is a more advanced interface. My hope is that
segregating the option like this will discourage use of
'--allow-collisions' and prevent an increase in bug reports of the "user
error" type.

If you disagree, please feel free to reopen the bug and optionally CC
some other reviewers, or bring it up on IRC.